Get Service Plan Definition

Get Service Plan Definition
Get a service plan definition

This endpoint retrieves the plan definition for a specific service plan by GUID. The definition contains the configuration properties and metadata for the plan. This endpoint requires admin privileges.

Request
URI
GET
https://api.example.local/v3/service_plans/{guid}/definition
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServicePlanDefinition of type(s) application/json
{
    "guid": "string",
    "definition": {
        "plan_id": "string",
        "name": "string",
        "description": "string",
        "properties": {},
        "metadata": {},
        "created_at": "string",
        "resource_version": "string"
    },
    "relationships": {
        "service_plan": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "service_plan": {
            "href": "string",
            "method": "string"
        }
    }
}
string As uuid As uuid
guid
Optional

Unique identifier for the service plan

object
definition
Optional

The plan definition configuration. Null if the plan has no definition.

object
relationships
Optional

relationships

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


502

Bad Gateway

Returns BadGateway of type(s) application/json
{
    "code": 0,
    "detail": "string",
    "title": "string"
}
integer
code
Optional

A numeric code for this error

string
detail
Optional

Detailed description of the error

string
title
Optional

Name of the error


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_plans/{guid}/definition